Issue #62 new

Installation problem via PIP

Anonymous created an issue

root@python:/# pip install hachoir-core Collecting hachoir-core Using cached hachoir-core-1.3.3.tar.gz Complete output from command python setup.py egg_info: Traceback (most recent call last): File "<string>", line 1, in <module> File "/tmp/pip-build-gpx50ycb/hachoir-core/setup.py", line 41 print "Sorry, you need Python 2.4 or greater to run (install) Hachoir!" ^ SyntaxError: invalid syntax

----------------------------------------

root@python:/# Python -- version Python 3.6.0

Comments (1)

  1. chuzhe

    Same problem for me. When i ran

    pip install hachoir-core
    

    it worked fine. But when i ran

    pip3 install hachoir-core
    

    SyntaxError showed up at the print statement.

  2. Log in to comment